//Copyright (c) 1997 Aidan Cully
//All rights reserved

#ifndef __STYLEBOX_H
#define __STYLEBOX_H

#include <TextEdit.h>
#include "CLWindowDrawer.h"

class TStyleBox:
	public TWindowDrawer
{
protected:
	short mResID;
	TEHandle mTE;
	virtual void DrawWindowSelf( TBaseWindow* );
	Point mPos;
	int mHeight;
public:
	TStyleBox( TLayoutBranch*, short );
	virtual void AttachedToWindow( TBaseWindow*, Rect );
	TEHandle GetTE() {return(mTE);};
	Point GetPos() {return(mPos);};
	void ScrollTo( short, short );
	int GetHeight() {return(mHeight);};
	virtual Rect GetLargestSize();
};

#endif