//Copyright (c) 1997 Aidan Cully
//All rights reserved.

#include <QuickDraw.h>
#include "CLStyle.h"
#include "CLLine.h"
#include "CLDrawSlate.h"

TLine::TLine( TStyle *style, short x1, short y1, short x2, short y2 ):
	mStyle( style )
{
	mX1= x1; mY1= y1;
	mX2= x2; mY2= y2;
}

void TLine::RenderOn( TDrawSlate *gr )
{
	gr->GetDrawFocus();
	mStyle->Apply();
	MoveTo( mX1, mY1 );
	LineTo( mX2, mY2 );
	gr->ReleaseDrawFocus();
}