//Copyright (c) 1997 Aidan Cully
//All rights reserved

#ifndef __OFFSCREEN_H
#define __OFFSCREEN_H

#include <QDOffScreen.h>
#include "CLBaseWindow.h"

class TOffScreen:
	public virtual TBaseWindow
{
private:
	GWorldPtr mhOldWorld;
	GDHandle mhOldDevice;
	PixMapHandle mhPixMap;
protected:
	GWorldPtr mWorld;
	virtual SInt8 RespondResizeSelf( const Rect &, const Rect & );
	virtual Boolean GetDrawSelf();
	virtual Boolean ReleaseDrawSelf();
public:
	TOffScreen( SInt16, TWindowLayer*, TLayoutLeaf* );
	virtual SInt8 DoUpdate();
	virtual SInt8 DoShowWindow();
	virtual SInt8 DoHideWindow();
	virtual ~TOffScreen();
	virtual void MarkChanged( Rect );
};

#endif