//Copyright (c) 1997 Aidan Cully
//All rights reserved

template <class T>
Boolean TQueue<T>::Enqueue( const T &data ) {
	Boolean success;

	MoveFirst();
	if( !TList<T>::AddPrev( data ) )
		return( false );
	return( true );
}

template <class T>
Boolean TQueue<T>::Dequeue( T &data ) {
	if( !MoveLast() )
		return( false );
	GetData( data );
	if( !Remove() )
		return( false );
	return( true );
}